<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Zucchini Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d94/class_zucchini.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Zucchini Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Zucchini:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d94/class_zucchini.png" usemap="#Zucchini_map" alt=""/>
  <map id="Zucchini_map" name="Zucchini_map">
<area href="../../df/d7c/class_edible___base.html" alt="Edible_Base" shape="rect" coords="0,0,82,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5ac0b019266a1ae5d0edf833129af245"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#a5ac0b019266a1ae5d0edf833129af245">CanBeCookedOnStick</a> ()</td></tr>
<tr class="separator:a5ac0b019266a1ae5d0edf833129af245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b846033df828ceef14961101ce85f55"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#a1b846033df828ceef14961101ce85f55">CanBeCooked</a> ()</td></tr>
<tr class="separator:a1b846033df828ceef14961101ce85f55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10c55648d2669381d0b7ccc13854fe8d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#a10c55648d2669381d0b7ccc13854fe8d">IsFruit</a> ()</td></tr>
<tr class="separator:a10c55648d2669381d0b7ccc13854fe8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6312b1e1085e825c7dc50679d30fc489"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#a6312b1e1085e825c7dc50679d30fc489">CanDecay</a> ()</td></tr>
<tr class="separator:a6312b1e1085e825c7dc50679d30fc489"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e14056dbda96b8221a8c066728f6e7e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#a5e14056dbda96b8221a8c066728f6e7e">SetActions</a> ()</td></tr>
<tr class="separator:a5e14056dbda96b8221a8c066728f6e7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf86e3c82cdca8edd21e4d28a717c462"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d94/class_zucchini.html#acf86e3c82cdca8edd21e4d28a717c462">EEOnCECreate</a> ()</td></tr>
<tr class="separator:acf86e3c82cdca8edd21e4d28a717c462"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1b846033df828ceef14961101ce85f55" name="a1b846033df828ceef14961101ce85f55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b846033df828ceef14961101ce85f55">&#9670;&#160;</a></span>CanBeCooked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Zucchini::CanBeCooked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00008">8</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<a id="a5ac0b019266a1ae5d0edf833129af245" name="a5ac0b019266a1ae5d0edf833129af245"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ac0b019266a1ae5d0edf833129af245">&#9670;&#160;</a></span>CanBeCookedOnStick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Zucchini::CanBeCookedOnStick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<a id="a6312b1e1085e825c7dc50679d30fc489" name="a6312b1e1085e825c7dc50679d30fc489"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6312b1e1085e825c7dc50679d30fc489">&#9670;&#160;</a></span>CanDecay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Zucchini::CanDecay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00018">18</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<a id="acf86e3c82cdca8edd21e4d28a717c462" name="acf86e3c82cdca8edd21e4d28a717c462"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf86e3c82cdca8edd21e4d28a717c462">&#9670;&#160;</a></span>EEOnCECreate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Zucchini::EEOnCECreate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00033">33</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<a id="a10c55648d2669381d0b7ccc13854fe8d" name="a10c55648d2669381d0b7ccc13854fe8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10c55648d2669381d0b7ccc13854fe8d">&#9670;&#160;</a></span>IsFruit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Zucchini::IsFruit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00013">13</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<a id="a5e14056dbda96b8221a8c066728f6e7e" name="a5e14056dbda96b8221a8c066728f6e7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e14056dbda96b8221a8c066728f6e7e">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Zucchini::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d90/_zucchini_8c_source.html#l00023">23</a> of file <a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/Edible_Base/<a class="el" href="../../d0/d90/_zucchini_8c_source.html">Zucchini.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d94/class_zucchini.html">Zucchini</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
